import { SecureBucket, SecureBucketProps } from '@gammarers/aws-secure-bucket';
import { Construct } from 'constructs';
export declare enum SecureCloudFrontOriginType {
    /**
     * OriginAccessIdentity
     */
    ORIGIN_ACCESS_IDENTITY = 0,
    /**
     * OriginAccessControl
     */
    ORIGIN_ACCESS_CONTROL = 1
}
export interface SecureCloudFrontOriginAccessControlBucketProps extends SecureBucketProps {
    readonly cloudFrontOriginType: SecureCloudFrontOriginType.ORIGIN_ACCESS_CONTROL;
    readonly cloudFrontArn: string;
}
export interface SecureCloudFrontOriginAccessIdentityBucketProps extends SecureBucketProps {
    readonly cloudFrontOriginType: SecureCloudFrontOriginType.ORIGIN_ACCESS_IDENTITY;
    readonly cloudFrontOriginAccessIdentityS3CanonicalUserId: string;
}
export declare class SecureCloudFrontOriginBucket extends SecureBucket {
    constructor(scope: Construct, id: string, props: SecureCloudFrontOriginAccessControlBucketProps | SecureCloudFrontOriginAccessIdentityBucketProps);
}
